Package org.pgpainless.signature.subpackets

# Interface BaseSignatureSubpackets

All Known Subinterfaces:
  `CertificationSubpackets`, `RevocationSignatureSubpackets`, `SelfSignatureSubpackets`

All Known Implementing Classes:
  `SignatureSubpackets`

public interface BaseSignatureSubpackets

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`BaseSignatureSubpackets.Callback`

## Method Summary

Modifier and Type
Method
Description
`BaseSignatureSubpackets`
`addEmbeddedSignature(boolean isCritical, org.bouncycastle.openpgp.PGPSignature signature)`
`BaseSignatureSubpackets`
`addEmbeddedSignature(org.bouncycastle.bcpg.sig.EmbeddedSignature embeddedSignature)`
`BaseSignatureSubpackets`
`addEmbeddedSignature(org.bouncycastle.openpgp.PGPSignature signature)`
`BaseSignatureSubpackets`
`addIntendedRecipientFingerprint(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey recipient)`
`BaseSignatureSubpackets`
`addIntendedRecipientFingerprint(org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint intendedRecipientFingerprint)`
`BaseSignatureSubpackets`
`addIntendedRecipientFingerprint(org.bouncycastle.openpgp.PGPPublicKey recipient)`
`BaseSignatureSubpackets`
`addNotationData(boolean isCritical, boolean isHumanReadable, String notationName, String notationValue)`
`BaseSignatureSubpackets`
`addNotationData(boolean isCritical, String notationName, String notationValue)`
`BaseSignatureSubpackets`
`addNotationData(org.bouncycastle.bcpg.sig.NotationData notationData)`
`BaseSignatureSubpackets`
`clearEmbeddedSignatures()`
`BaseSignatureSubpackets`
`clearIntendedRecipientFingerprints()`
`BaseSignatureSubpackets`
`clearNotationData()`
`BaseSignatureSubpackets`
`setExportable(boolean isExportable)`
`BaseSignatureSubpackets`
`setExportable(boolean isCritical, boolean isExportable)`
`BaseSignatureSubpackets`
`setExportable(org.bouncycastle.bcpg.sig.Exportable exportable)`
`BaseSignatureSubpackets`
`setIssuerFingerprint(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey key)`
`BaseSignatureSubpackets`
`setIssuerFingerprint(org.bouncycastle.bcpg.sig.IssuerFingerprint fingerprint)`
`BaseSignatureSubpackets`
`setIssuerFingerprint(org.bouncycastle.openpgp.PGPPublicKey key)`
`BaseSignatureSubpackets`
`setIssuerFingerprintAndKeyId(org.bouncycastle.openpgp.PGPPublicKey key)`
`BaseSignatureSubpackets`
`setIssuerKeyId(boolean isCritical, long keyId)`
`BaseSignatureSubpackets`
`setIssuerKeyId(long keyId)`
`BaseSignatureSubpackets`
`setIssuerKeyId(org.bouncycastle.bcpg.sig.IssuerKeyID issuerKeyID)`
`BaseSignatureSubpackets`
`setPolicyUrl(boolean isCritical, URL policyUrl)`
`BaseSignatureSubpackets`
`setPolicyUrl(URL policyUrl)`
`BaseSignatureSubpackets`
`setPolicyUrl(org.bouncycastle.bcpg.sig.PolicyURI policyUrl)`
`BaseSignatureSubpackets`
`setRegularExpression(boolean isCritical, String regex)`
`BaseSignatureSubpackets`
`setRegularExpression(String regex)`
`BaseSignatureSubpackets`
`setRegularExpression(org.bouncycastle.bcpg.sig.RegularExpression regex)`
`BaseSignatureSubpackets`
`setRevocable(boolean revocable)`
`BaseSignatureSubpackets`
`setRevocable(boolean isCritical, boolean isRevocable)`
`BaseSignatureSubpackets`
`setRevocable(org.bouncycastle.bcpg.sig.Revocable revocable)`
`BaseSignatureSubpackets`
`setSignatureCreationTime(boolean isCritical, Date creationTime)`
`BaseSignatureSubpackets`
`setSignatureCreationTime(Date creationTime)`
`BaseSignatureSubpackets`
`setSignatureCreationTime(org.bouncycastle.bcpg.sig.SignatureCreationTime signatureCreationTime)`
`BaseSignatureSubpackets`
`setSignatureExpirationTime(boolean isCritical, long seconds)`
`BaseSignatureSubpackets`
`setSignatureExpirationTime(boolean isCritical, Date creationTime, Date expirationTime)`
`BaseSignatureSubpackets`
`setSignatureExpirationTime(Date creationTime, Date expirationTime)`
`BaseSignatureSubpackets`
`setSignatureExpirationTime(org.bouncycastle.bcpg.sig.SignatureExpirationTime expirationTime)`
`BaseSignatureSubpackets`
`setSignatureTarget(boolean isCritical, PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm, byte[] hashData)`
`BaseSignatureSubpackets`
`setSignatureTarget(org.bouncycastle.bcpg.sig.SignatureTarget signatureTarget)`
`BaseSignatureSubpackets`
`setSignatureTarget(PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm, byte[] hashData)`
`BaseSignatureSubpackets`
`setSignerUserId(boolean isCritical, String userId)`
`BaseSignatureSubpackets`
`setSignerUserId(String userId)`
`BaseSignatureSubpackets`
`setSignerUserId(org.bouncycastle.bcpg.sig.SignerUserID signerUserId)`
`BaseSignatureSubpackets`
`setTrust(boolean isCritical, int depth, int amount)`
`BaseSignatureSubpackets`
`setTrust(int depth, int amount)`
`BaseSignatureSubpackets`
`setTrust(org.bouncycastle.bcpg.sig.TrustSignature trust)`

## Method Details

### setIssuerFingerprintAndKeyId

BaseSignatureSubpackets setIssuerFingerprintAndKeyId(org.bouncycastle.openpgp.PGPPublicKey key)

### setIssuerKeyId

BaseSignatureSubpackets setIssuerKeyId(long keyId)

### setIssuerKeyId

BaseSignatureSubpackets setIssuerKeyId(boolean isCritical, long keyId)

### setIssuerKeyId

BaseSignatureSubpackets setIssuerKeyId(@Nullable org.bouncycastle.bcpg.sig.IssuerKeyID issuerKeyID)

### setIssuerFingerprint

BaseSignatureSubpackets setIssuerFingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKey key)

### setIssuerFingerprint

BaseSignatureSubpackets setIssuerFingerprint(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey key)

### setIssuerFingerprint

BaseSignatureSubpackets setIssuerFingerprint(@Nullable org.bouncycastle.bcpg.sig.IssuerFingerprint fingerprint)

### setSignatureCreationTime

BaseSignatureSubpackets setSignatureCreationTime(@Nonnull Date creationTime)

### setSignatureCreationTime

BaseSignatureSubpackets setSignatureCreationTime(boolean isCritical, @Nonnull Date creationTime)

### setSignatureCreationTime

BaseSignatureSubpackets setSignatureCreationTime(@Nullable org.bouncycastle.bcpg.sig.SignatureCreationTime signatureCreationTime)

### setSignatureExpirationTime

BaseSignatureSubpackets setSignatureExpirationTime(@Nonnull Date creationTime, @Nonnull Date expirationTime)

### setSignatureExpirationTime

BaseSignatureSubpackets setSignatureExpirationTime(boolean isCritical, @Nonnull Date creationTime, @Nonnull Date expirationTime)

### setSignatureExpirationTime

BaseSignatureSubpackets setSignatureExpirationTime(boolean isCritical, long seconds)

### setSignatureExpirationTime

BaseSignatureSubpackets setSignatureExpirationTime(@Nullable org.bouncycastle.bcpg.sig.SignatureExpirationTime expirationTime)

### setSignerUserId

BaseSignatureSubpackets setSignerUserId(@Nonnull String userId)

### setSignerUserId

BaseSignatureSubpackets setSignerUserId(boolean isCritical, @Nonnull String userId)

### setSignerUserId

BaseSignatureSubpackets setSignerUserId(@Nullable org.bouncycastle.bcpg.sig.SignerUserID signerUserId)

### addNotationData

BaseSignatureSubpackets addNotationData(boolean isCritical, @Nonnull String notationName, @Nonnull String notationValue)

### addNotationData

BaseSignatureSubpackets addNotationData(boolean isCritical, boolean isHumanReadable, @Nonnull String notationName, @Nonnull String notationValue)

### addNotationData

BaseSignatureSubpackets addNotationData(@Nonnull org.bouncycastle.bcpg.sig.NotationData notationData)

### clearNotationData

BaseSignatureSubpackets clearNotationData()

### addIntendedRecipientFingerprint

BaseSignatureSubpackets addIntendedRecipientFingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKey recipient)

### addIntendedRecipientFingerprint

BaseSignatureSubpackets addIntendedRecipientFingerprint(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey recipient)

### addIntendedRecipientFingerprint

BaseSignatureSubpackets addIntendedRecipientFingerprint(org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint intendedRecipientFingerprint)

### clearIntendedRecipientFingerprints

BaseSignatureSubpackets clearIntendedRecipientFingerprints()

### setExportable

BaseSignatureSubpackets setExportable(boolean isExportable)

### setExportable

BaseSignatureSubpackets setExportable(boolean isCritical, boolean isExportable)

### setExportable

BaseSignatureSubpackets setExportable(@Nullable org.bouncycastle.bcpg.sig.Exportable exportable)

### setPolicyUrl

BaseSignatureSubpackets setPolicyUrl(@Nonnull URL policyUrl)

### setPolicyUrl

BaseSignatureSubpackets setPolicyUrl(boolean isCritical, @Nonnull URL policyUrl)

### setPolicyUrl

BaseSignatureSubpackets setPolicyUrl(@Nullable org.bouncycastle.bcpg.sig.PolicyURI policyUrl)

### setRegularExpression

BaseSignatureSubpackets setRegularExpression(@Nonnull String regex)

### setRegularExpression

BaseSignatureSubpackets setRegularExpression(boolean isCritical, @Nonnull String regex)

### setRegularExpression

BaseSignatureSubpackets setRegularExpression(@Nullable org.bouncycastle.bcpg.sig.RegularExpression regex)

### setRevocable

BaseSignatureSubpackets setRevocable(boolean revocable)

### setRevocable

BaseSignatureSubpackets setRevocable(boolean isCritical, boolean isRevocable)

### setRevocable

BaseSignatureSubpackets setRevocable(@Nullable org.bouncycastle.bcpg.sig.Revocable revocable)

### setSignatureTarget

BaseSignatureSubpackets setSignatureTarget(@Nonnull PublicKeyAlgorithm keyAlgorithm, @Nonnull HashAlgorithm hashAlgorithm, @Nonnull byte[] hashData)

### setSignatureTarget

BaseSignatureSubpackets setSignatureTarget(boolean isCritical, @Nonnull PublicKeyAlgorithm keyAlgorithm, @Nonnull HashAlgorithm hashAlgorithm, @Nonnull byte[] hashData)

### setSignatureTarget

BaseSignatureSubpackets setSignatureTarget(@Nullable org.bouncycastle.bcpg.sig.SignatureTarget signatureTarget)

### setTrust

BaseSignatureSubpackets setTrust(int depth, int amount)

### setTrust

BaseSignatureSubpackets setTrust(boolean isCritical, int depth, int amount)

### setTrust

BaseSignatureSubpackets setTrust(@Nullable org.bouncycastle.bcpg.sig.TrustSignature trust)

### addEmbeddedSignature

BaseSignatureSubpackets addEmbeddedSignature(@Nonnull org.bouncycastle.openpgp.PGPSignature signature) throws IOException

Throws:
  `IOException`

### addEmbeddedSignature

BaseSignatureSubpackets addEmbeddedSignature(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPSignature signature) throws IOException

Throws:
  `IOException`

### addEmbeddedSignature

BaseSignatureSubpackets addEmbeddedSignature(@Nonnull org.bouncycastle.bcpg.sig.EmbeddedSignature embeddedSignature)

### clearEmbeddedSignatures

BaseSignatureSubpackets clearEmbeddedSignatures()